<template>
	<section
		:id="id"
		:style="{ '--background-color': backgroundColor, '--copy-color': copyColor, '--border-color': bordersColor }"
		:class="[$style.multiColumnText, { [$style.hasLessThanOrEqualTo3Items]: items.length <= 3 }]"
	>
		<component
			:is="headingLevel"
			v-if="heading"
			:style="{ 'font-family': headingFontPlantin ? 'Plantin' : 'Akurat' }"
			:class="$style.heading"
			>{{ heading }}</component
		>
		<div :class="$style.items">
			<div v-for="(item, index) in items" :key="index" :class="$style.item">
				<h3>{{ item.heading }}</h3>
				<div v-rich-content :class="$style.copy" v-html="item.copy" />
			</div>
		</div>
	</section>
</template>

<script>
export default {
	props: {
		id: {
			type: String,
			default: null,
		},

		heading: {
			type: String,
			default: '',
		},

		backgroundColor: {
			type: String,
			default: '#cfe9db',
		},

		copyColor: {
			type: String,
			default: '#3c3b3b',
		},

		bordersColor: {
			type: String,
			default: '#979797',
		},

		items: {
			type: Array,
			default: () => [],
		},

		headingLevel: {
			type: String,
			default: 'h2',
		},

		headingFontPlantin: {
			type: Boolean,
			default: true,
		},
	},
};
</script>

<style lang="scss" module>
@import '@design';

.multiColumnText {
	display: flex;
	flex-direction: column;
	align-items: center;
	padding: 3.2rem 4.5rem;
	color: var(--copy-color);
	text-align: center;
	background: var(--background-color);

	@include above('large') {
		padding: 8rem 0 10.9rem;
	}
}

.heading {
	@include use-text-style('heading-650');

	padding: 0 0 8.2rem;
	font-weight: 300;

	@include below('large') {
		@include use-text-style('heading-400');

		padding: 4rem 0 2rem;
	}
}

.items {
	display: flex;
	flex-direction: column;
	justify-content: center;

	@include above('large') {
		flex-direction: row;
	}
}

.item {
	position: relative;

	h3 {
		@include use-text-style('heading-180');

		margin: 2em 0 1.1em;
		font-family: font-family('secondary');

		@include above('large') {
			@include use-text-style('heading-180');

			margin: 0 0 1.9em;
		}
	}

	&:not(:last-child)::after {
		display: block;
		width: 100%;
		height: 1px;
		content: '';
		background: var(--border-color);

		@include above('large') {
			position: absolute;
			top: 0;
			right: 0;
			width: 1px;
			height: 100%;
		}
	}

	@include above('large') {
		flex: 0 1 34rem;
		padding: 6.9rem 2.6rem 9rem;
	}

	.hasLessThanOrEqualTo3Items & {
		@include above('large') {
			padding: 6.9rem 3rem 2.3rem;
		}

		@include above('xlarge') {
			padding: 6.9rem 4rem 2.3rem;
		}

		@include above('xxlarge') {
			padding: 6.9rem 6rem 2.3rem;
		}
	}
}

.copy {
	margin: 0 0 5.3rem;

	p {
		@include use-text-style('type-500');

		font-weight: 300;
		line-height: 1.3333;
	}

	@include above('large') {
		margin: 0;
	}
}
</style>
